import { createRoot } from 'react-dom/client';
import { HashRouter } from 'react-router-dom';

import MeetingListApp from './App/MeetingListApp';

document.addEventListener(
	'DOMContentLoaded', function () {
		const rootWebexMeetingList = document.getElementById('wemeet_webex_meeting_list');
		
		if (rootWebexMeetingList) {
			const webexMeetingListRoot = createRoot(rootWebexMeetingList);
			webexMeetingListRoot.render(<HashRouter future={{ v7_startTransition: true, v7_relativeSplatPath: true }}><MeetingListApp platform="webex" /></HashRouter>);
		}
	} 
);

